Debian Bug report logs - #128969
locales: Problem with locale-gen

version graph

Package: locales; Maintainer for locales is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for locales is src:eglibc.

Reported by: Ganesan R <rganesan@myrealbox.com>

Date: Sun, 13 Jan 2002 04:03:02 UTC

Severity: important

Tags: patch

Found in version 2.2.4-7

Fixed in version glibc/2.2.5-4

Done: Ben Collins <bcollins@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Collins <bcollins@debian.org>:
Bug#128969; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Ganesan R <rganesan@myrealbox.com>:
New Bug report received and forwarded. Copy sent to Ben Collins <bcollins@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ganesan R <rganesan@myrealbox.com>
To: submit@bugs.debian.org
Subject: locales: Problem with locale-gen
Date: Sun, 13 Jan 2002 09:36:45 +0530
Package: locales
Version: 2.2.4-7
Severity: important

Hi,

I am writing locale support for the South Indian language Tamil. Currently
GLIBC supports a UTF-8 locale for Tamil (ta_IN.UTF-8) - I am currently
adding support for two other popular 8-bit encodings called TSCII and TAB.
The locale files for TSCII and TAB are logically identical to ta_IN but have
to be kept distinct because glibc does not yet support ligatures (composite
characters in unicode, i.e. one character in (say) TSCII mapping to 2 or
more characters in Unicode). So locale files are called ta_IN.TSCII and
ta_IN.TAB. This breaks locale-gen because when given a locale like
ta_IN.TSCII in locale.gen, it passes just ta_IN to localedef. The following
patch first checks for the presence of a locale file with the full
localename before splitting into components.

-------------------------------------------------------------------------
--- locale-gen.old	Sun Jan 13 07:47:42 2002
+++ locale-gen	Sun Jan 13 08:06:24 2002
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 LOCALEGEN=/etc/locale.gen
+LOCALES=/usr/share/i18n/locales
 
 [ -f $LOCALEGEN -a -s $LOCALEGEN ] || exit 0;
 
@@ -14,7 +15,8 @@
 	echo -n ".$charset"; \
 	echo -n `echo $locale | sed 's/\([^\@]*\)\(\@.*\)*/\2/'`; \
 	echo -n '...'; \
-	input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'`; \
+	if [ -f $LOCALES/$locale ]; then input=$locale; else \
+	input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'`; fi; \
 	localedef -i $input -c -f $charset $locale; \
 	echo ' done'; \
 done < $LOCALEGEN
---------------------------------------------------------------------------

-- System Information
Debian Release: 3.0
Kernel Version: Linux anamika 2.4.4 #1 Sun May 20 09:58:52 IST 2001 i586 unknown

Versions of the packages locales depends on:
ii  debconf        1.0.22         Debian configuration management system
ii  libc6          2.2.4-7        GNU C Library: Shared libraries and Timezone
	^^^ (Provides virtual package glibc-2.2.4-7)

Thanks.

Ganesan




Tags added: patch Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ben Collins <bcollins@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ganesan R <rganesan@myrealbox.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 128969-close@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: 128969-close@bugs.debian.org
Subject: Bug#128969: fixed in glibc 2.2.5-4
Date: Mon, 25 Mar 2002 11:32:28 -0500
We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.2.5-4_all.deb
  to pool/main/g/glibc/glibc-doc_2.2.5-4_all.deb
glibc_2.2.5-4.diff.gz
  to pool/main/g/glibc/glibc_2.2.5-4.diff.gz
glibc_2.2.5-4.dsc
  to pool/main/g/glibc/glibc_2.2.5-4.dsc
libc6-dbg_2.2.5-4_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.2.5-4_i386.deb
libc6-dbg_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-dbg_2.2.5-4_sparc.deb
libc6-dev-sparc64_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-dev-sparc64_2.2.5-4_sparc.deb
libc6-dev_2.2.5-4_i386.deb
  to pool/main/g/glibc/libc6-dev_2.2.5-4_i386.deb
libc6-dev_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-dev_2.2.5-4_sparc.deb
libc6-pic_2.2.5-4_i386.deb
  to pool/main/g/glibc/libc6-pic_2.2.5-4_i386.deb
libc6-pic_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-pic_2.2.5-4_sparc.deb
libc6-prof_2.2.5-4_i386.deb
  to pool/main/g/glibc/libc6-prof_2.2.5-4_i386.deb
libc6-prof_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-prof_2.2.5-4_sparc.deb
libc6-sparc64_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6-sparc64_2.2.5-4_sparc.deb
libc6_2.2.5-4_i386.deb
  to pool/main/g/glibc/libc6_2.2.5-4_i386.deb
libc6_2.2.5-4_sparc.deb
  to pool/main/g/glibc/libc6_2.2.5-4_sparc.deb
locales_2.2.5-4_all.deb
  to pool/main/g/glibc/locales_2.2.5-4_all.deb
nscd_2.2.5-4_i386.deb
  to pool/main/g/glibc/nscd_2.2.5-4_i386.deb
nscd_2.2.5-4_sparc.deb
  to pool/main/g/glibc/nscd_2.2.5-4_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 128969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Collins <bcollins@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Mar 2002 09:49:37 -0500
Source: glibc
Binary: libc6.1-prof libc0.2-pic libc6 libc6.1-pic libc6-dbg libc0.2-dev libc0.2 libc6-dev-sparc64 libc6-prof libc6.1-dev locales libc0.2-dbg libc6-pic libc0.2-prof libc6-sparc64 glibc-doc libc6.1-dbg nscd libc6.1 libc6-dev
Architecture: source sparc all i386
Version: 2.2.5-4
Distribution: unstable
Urgency: low
Maintainer: Ben Collins <bcollins@debian.org>
Changed-By: Ben Collins <bcollins@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files.
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries.
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 27397 62586 106117 114174 114174 119773 128181 128451 128530 128699 128701 128969 129903 130259 131846 132310 133247 133315 133315 133379 133380 133383 133666 134094 134381 134613 135343 135748 136815 136815 137348 137513 138094 139042 139052 139284 139433 139682
Changes: 
 glibc (2.2.5-4) unstable; urgency=low
 .
   * Include s/ip6.arpa/ip6.int/ patch from Fabbione. Closes: #119773,
     #132310
   * Fix perms on locales/DEBIAN/config. Closes: #134094, #139682
   * Update from Glibc CVS: Lots of euro conversions and locales updates.
     Closes: #128181, #130259
     Lots of other various fixes (please read the ChangeLog). Closes: #138094
   * Upstream fixed ia64 ldd rewrite problem. Closes: #128451
   * Upstream fixed nice return. Closes: #136815
   * pt_BR translation is ok now, Closes: #128530
   * Applied patch from Ganesan R to better handle some locale names.
     Closes: #128969
   * Add ARM patch to disable hardware caps.
   * Fix typos in catalan template. Closes: #133247
   * Add a "Leave alone" option for locales setting of /etc/environment.
     Make it the default. Closes: #133315, #133315
   * HPPA patch from Randolph Chung. Closes: #133666
   * Fix zh_HK date output, from Anthony Fok.
   * s/Noninteractive/noninteractive/ (hopefully for the last time).
     Closes: #134381, #137348
   * Fix locales/config for when locale.gen doesn't exist.
     Closes: #135343, #134613, #139284
   * Patch from Gary Hade (via Randolph Chung) to fix gmon-start.
     Closes: #135748, #129903
   * Fix locale.1 - s/LC_PAPR/LC_PAPER/ Closes: #114174
   * Add glibc22-hppa-tests patch from Randolph Chung. Closes: #137513
   * Alistair McKinstry:
     - Added locale.alias(5) and locale.gen(5) man pages. Closes: #106117
     - Patch for glibcbug to correctly handle bad EDITOR setting.
       Closes: #128699
     - Include glibcbug.1 manpage. Closes: #128701
     - Add patch to fix segv in localedef.
     - Patch for locale.1 and localedef.1 to add missing LC_* vars.
       Closes: #114174
     - Fix for the d_fmt field in de_CH. Closes: #27397
     - Fix locale.alias so Russion charset is KOI8-R instead of ISO-8859-5.
       Closes: #62586
     - s/Jun/Juni/ s/Jul/Juli/ for sr_YU. Closes: #131846
     - Typo in categories.def. Closes: #133379
     - Update iso-4217.def Closes: #133380
     - Re-enable el.po since we are using newer gettext. Closes: #133383
   * nscd.conf.5: Clarification. server-user option cannot be used with
     -S/--secure. It will fail to start. Also note that using server-user other
     than root may break some lookup services. Closes: #139433
   * Completely remove the pthread man pages. They are _way_ out of date (last
     updated in 1998 according to the ChangeLog). Use the info or html docs
     instead. Feel free to send me mucho patches for them, if you want them
     back. Closes: #139052, #139042
   * Various LSB conformance patches from Joey Hess. Closes: #136815
   * ia64 patch for R_IA64_NONE relocs. Closes: #135314
Files: 
 ea823ca9cfa3bfd81ab599cc760bcb13 1202 libs required glibc_2.2.5-4.dsc
 e40bed25942d0e847e6d3a7309d838af 378333 libs required glibc_2.2.5-4.diff.gz
 1ff18869229481f1f84d1bee4b0064cb 4040636 base required libc6-sparc64_2.2.5-4_sparc.deb
 84a07a492d3c4b921e61649b25454054 1629562 devel standard libc6-dev-sparc64_2.2.5-4_sparc.deb
 74ab6186f4c4964b72d221bfee9476ef 3862090 base required libc6_2.2.5-4_sparc.deb
 ac2802e8bf9f78d0ae7324a156d3dcb2 2751172 devel standard libc6-dev_2.2.5-4_sparc.deb
 857cb58c75f012184690381a42c4ba61 1256518 devel extra libc6-prof_2.2.5-4_sparc.deb
 dab09c67ac6a995e705d1407bc8c2516 2815456 devel extra libc6-dbg_2.2.5-4_sparc.deb
 b6a225162da2878e4d3726155d5520c0 1145360 devel optional libc6-pic_2.2.5-4_sparc.deb
 32aa1c4aabccc0bb9c157928e72c6b9f 58650 admin optional nscd_2.2.5-4_sparc.deb
 99b3b56411a6a4bc86eae7b14756be15 3388892 base standard locales_2.2.5-4_all.deb
 6073e29fc6eb3ff25bb1d273a6b368fe 2697518 doc optional glibc-doc_2.2.5-4_all.deb
 75169b907689d47d488dfcac164db520 3380948 base required libc6_2.2.5-4_i386.deb
 09621318e3968a92551c58f6cd2cd75e 2389512 devel standard libc6-dev_2.2.5-4_i386.deb
 6fbc52eeeb5d87c4d4d91115b9388d98 934834 devel extra libc6-prof_2.2.5-4_i386.deb
 8ca60912a624234bae63354895a10b36 2432672 devel extra libc6-dbg_2.2.5-4_i386.deb
 df4c980630592e62c4098c38de4b8f4e 840558 devel optional libc6-pic_2.2.5-4_i386.deb
 3ec9ed0ac91197edf0a3bd4a2c171d1b 57786 admin optional nscd_2.2.5-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: Ben Collins <bcollins@debian.org>

iD8DBQE8n1AvfNc/ZB4E7C0RAj0ZAJ9vSMylnwvTvrXNa5m0SDahyyC5CgCgkQzK
phmzWqhQiR9zDlH6y4hbwyU=
=woqH
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:04:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.